#!/bin/bash

set -x

# Reference: http://stackoverflow.com/questions/59895/can-a-bash-script-tell-what-directory-its-stored-in
SOURCE="${BASH_SOURCE[0]}"
DIR="$( dirname "$SOURCE" )"
while [ -h "$SOURCE" ]
do
  SOURCE="$(readlink "$SOURCE")"
  [[ $SOURCE != /* ]] && SOURCE="$DIR/$SOURCE"
  DIR="$( cd -P "$( dirname "$SOURCE"  )" && pwd )"
done
DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"
# DIR variable now contains absolute path to script directory

#The following is written to aid local testing
if [ -z $PARCELS_ROOT ] ; then
export MYDIR=`dirname "${BASH_SOURCE[0]}"`
PARCELS_ROOT=`cd $MYDIR/../.. && pwd`
fi
PARCEL_DIRNAME=${PARCEL_DIRNAME-YCSB}

